DH_TRANSLATIONS(1)

NAME
dh_translations - perform common translation related operations

SYNOPSIS
dh_translations [debhelper options]

DESCRIPTION
dh_translations is a debhelper program to perform common translation related operations during package build:

•   Try to build a current PO template. Only the main gettext domain of the project is dealt with; dh_translations does not build help-* templates or other additional translation templates.

•   Remove inline translations from *.desktop, *.server, *.schemas, and *.policy files and replace them with a link to the gettext domain, so that strings in them will get translated at runtime from *.mo files. This allows language packs to ship updated translations.

OPTIONS

--domain=domain
    The gettext domain can be passed through this option. This is useful for packages with the Meson build system to tell dh_translations which domain to use if there are multiple candidates. It's also useful for other packages if dh_translations fails to find the correct domain by itself.

SEE ALSO
debhelper(1)

AUTHOR
Martin Pitt <martin.pitt@ubuntu.com>

Copyright (C) 2011 Canonical Ltd., licensed under the GNU GPL v2 or later.